<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (14) on Fri May 29 23:30:56 CEST 2020 -->
<title>Uses of Class Heroes.Tile.Towers.Attacks.Attack</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-05-29">
<meta name="description" content="use: package: Heroes.Tile.Towers.Attacks, class: Attack">
<meta name="generator" content="javadoc/ClassUseWriter">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../script-dir/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../script-dir/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../../script-dir/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../../script-dir/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../../script-dir/jquery-3.4.1.js"></script>
<script type="text/javascript" src="../../../../../script-dir/jquery-ui.js"></script>
</head>
<body class="class-use">
<script type="text/javascript">var pathtoroot = "../../../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flexBox">
<header role="banner" class="flexHeader">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../Attack.html" title="class in Heroes.Tile.Towers.Attacks">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div class="navListSearch"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="skipNav"><a id="skip.navbar.top">
<!--   -->
</a></div>
</nav>
</header>
<div class="flexContent">
<main role="main">
<div class="header">
<h1 title="Uses of Class Heroes.Tile.Towers.Attacks.Attack" class="title">Uses of Class<br>Heroes.Tile.Towers.Attacks.Attack</h1>
</div>
<div class="classUseContainer">
<div class="useSummary">
<table>
<caption><span>Packages that use <a href="../Attack.html" title="class in Heroes.Tile.Towers.Attacks">Attack</a></span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="#Heroes">Heroes</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="#Heroes.Tile.Towers">Heroes.Tile.Towers</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="#Heroes.Tile.Towers.Attacks">Heroes.Tile.Towers.Attacks</a></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
<section class="classUses">
<ul class="blockList">
<li class="blockList">
<section class="detail"><a id="Heroes">
<!--   -->
</a>
<h2>Uses of <a href="../Attack.html" title="class in Heroes.Tile.Towers.Attacks">Attack</a> in <a href="../../../../package-summary.html">Heroes</a></h2>
<div class="useSummary">
<table>
<caption><span>Methods in <a href="../../../../package-summary.html">Heroes</a> that return types with arguments of type <a href="../Attack.html" title="class in Heroes.Tile.Towers.Attacks">Attack</a></span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static java.util.ArrayList&lt;<a href="../Attack.html" title="class in Heroes.Tile.Towers.Attacks">Attack</a>&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">Game.</span><code><span class="memberNameLink"><a href="../../../../Game.html#getAttackList()">getAttackList</a></span>()</code></th>
<td class="colLast">
<div class="block">get all the attacks that have to be handled at this loop</div>
</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<li class="blockList">
<section class="detail"><a id="Heroes.Tile.Towers">
<!--   -->
</a>
<h2>Uses of <a href="../Attack.html" title="class in Heroes.Tile.Towers.Attacks">Attack</a> in <a href="../../package-summary.html">Heroes.Tile.Towers</a></h2>
<div class="useSummary">
<table>
<caption><span>Methods in <a href="../../package-summary.html">Heroes.Tile.Towers</a> that return <a href="../Attack.html" title="class in Heroes.Tile.Towers.Attacks">Attack</a></span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../Attack.html" title="class in Heroes.Tile.Towers.Attacks">Attack</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">Tower.</span><code><span class="memberNameLink"><a href="../../Tower.html#getAttackTower()">getAttackTower</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets attack tower.</div>
</td>
</tr>
</tbody>
</table>
</div>
<div class="useSummary">
<table>
<caption><span>Methods in <a href="../../package-summary.html">Heroes.Tile.Towers</a> with parameters of type <a href="../Attack.html" title="class in Heroes.Tile.Towers.Attacks">Attack</a></span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">Tower.</span><code><span class="memberNameLink"><a href="../../Tower.html#setAttackTower(Heroes.Tile.Towers.Attacks.Attack)">setAttackTower</a></span>&#8203;(<a href="../Attack.html" title="class in Heroes.Tile.Towers.Attacks">Attack</a>&nbsp;attackTower)</code></th>
<td class="colLast">
<div class="block">Sets attack tower.</div>
</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<li class="blockList">
<section class="detail"><a id="Heroes.Tile.Towers.Attacks">
<!--   -->
</a>
<h2>Uses of <a href="../Attack.html" title="class in Heroes.Tile.Towers.Attacks">Attack</a> in <a href="../package-summary.html">Heroes.Tile.Towers.Attacks</a></h2>
<div class="useSummary">
<table>
<caption><span>Subclasses of <a href="../Attack.html" title="class in Heroes.Tile.Towers.Attacks">Attack</a> in <a href="../package-summary.html">Heroes.Tile.Towers.Attacks</a></span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../Laser.html" title="class in Heroes.Tile.Towers.Attacks">Laser</a></span></code></th>
<td class="colLast">
<div class="block">The type Laser (extends Attack)</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../Shield.html" title="class in Heroes.Tile.Towers.Attacks">Shield</a></span></code></th>
<td class="colLast">
<div class="block">The type Shield (extends Attack)</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../SpiderWeb.html" title="class in Heroes.Tile.Towers.Attacks">SpiderWeb</a></span></code></th>
<td class="colLast">
<div class="block">The type Spider web (extends Attack)</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../Stick.html" title="class in Heroes.Tile.Towers.Attacks">Stick</a></span></code></th>
<td class="colLast">
<div class="block">The type Stick (extends Attack)</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../Thunder.html" title="class in Heroes.Tile.Towers.Attacks">Thunder</a></span></code></th>
<td class="colLast">
<div class="block">The type Thunder (extends Attack)</div>
</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
</ul>
</section>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../Attack.html" title="class in Heroes.Tile.Towers.Attacks">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</div>
</div>
</body>
</html>
